﻿<table border="0" style="width:100%; margin-left:0px;" cellspacing:"7";>
    <tr>
        <td style="width:80px">
            @Html.DevExpress().Button(
                    btn =>
                    {
                        btn.Name = "btnSave";
                        btn.Text = "Save";
                        btn.Width = 80;
                        btn.UseSubmitBehavior = true;
                        btn.ClientEnabled = false;
                        btn.ClientSideEvents.Click = "BeginCallbackAddNew";
                    }
                ).GetHtml()

                @* @Html.DevExpress().Button(
                    btn =>
                    {
                        btn.Name = "btnSaveEdit";
                        btn.Text = "Save";
                        btn.Width = 80;
                        btn.UseSubmitBehavior = true;
                        btn.ClientVisible = false;
                        btn.ClientSideEvents.Click = "SubmitData";
                    }
                ).GetHtml()*@
        </td>
        <td style="width:80px;">
            @Html.DevExpress().Button(
            btn =>
            {
                btn.Name = "btnCancel";
                btn.Text = "Cancel";
                btn.Width = 80;
                btn.UseSubmitBehavior = true;
                btn.ClientEnabled = false;
                btn.ClientSideEvents.Click = "BehaviourCancel";
            }).GetHtml()
        </td>

        <td style="width:10px;"></td>

        <td style="width:80px">
            @Html.DevExpress().Button(
                btn =>
                {
                    btn.Name = "btnDownload";
                    btn.Text = "Download";
                    btn.UseSubmitBehavior = true;
                    btn.ClientEnabled = true;
                    btn.Width = 100;
                    btn.ClientSideEvents.Click = "DownloadData";
                }).GetHtml()
        </td>

       @* <td style="width:10px;"></td>*@

        <td style="width:80px">
          @*  @Html.DevExpress().Button(
                btn => {
                    btn.Name = "BtnReport";
                    btn.Text = "View Report";
                    btn.Width = Unit.Pixel(100);
                    btn.ClientSideEvents.Click = "OnClickReporting";
                }).GetHtml()*@
        </td>

        <td></td>

        <td style="width:80px">
            @Html.DevExpress().Button(
            btn =>
            {
                btn.Name = "btnAdd";
                btn.Text = "Add";
                btn.Width = 80;
                btn.UseSubmitBehavior = true;
                btn.ClientEnabled = true;
                btn.ClientSideEvents.Click = "onAddData";
            }).GetHtml()
        </td>
        <td style="width:80px">
            @Html.DevExpress().Button(
            btn =>
            {
                btn.Name = "btnEdit";
                btn.Text = "Edit";
                btn.Width = 80;
                btn.UseSubmitBehavior = true;
                btn.ClientEnabled = true;
                btn.ClientSideEvents.Click = "EditRow";
            }).GetHtml()
        </td>
        <td style="width:80px">
            @Html.DevExpress().Button(
            btn => {
                btn.Name = "btnDelete";
                btn.Text = "Delete";
                btn.Width = 80;
                btn.UseSubmitBehavior = true;
                btn.ClientEnabled = true;
                btn.ClientSideEvents.Click = "DeleteClick";
            }).GetHtml()
        </td>

        
        

    </tr>
</table>